module Fox
  #
  # The FXMenuCommand widget is used to invoke a command in the
  # application from a menu.  Menu commands may reflect
  # the state of the application by graying out, becoming hidden,
  # or by a check mark or bullet.
  #
  # === Events
  #
  # The following messages are sent by FXMenuCommand to its target:
  #
  # +SEL_KEYPRESS+::		sent when a key goes down; the message data is an FXEvent instance.
  # +SEL_KEYRELEASE+::		sent when a key goes up; the message data is an FXEvent instance.
  # +SEL_COMMAND+::		sent when the command is activated
  #
  class FXMenuCommand < FXMenuCaption

    # Accelerator text [String]
    attr_accessor :accelText

    #
    # Construct a menu command
    #
    def initialize(parent, text, icon=nil, target=nil, selector=0, opts=0) # :yields: theMenuCommand
    end

    #
    # Place checkmark next to text
    #
    def check(); end
  
    # Uncheck the item
    def uncheck(); end
  
    # Return +true+ if checked
    def checked? ; end
  
    # Place radio bullet next to text
    def checkRadio(); end
  
    # Uncheck radio bullet
    def uncheckRadio(); end
  
    # Return +true+ if radio-checked
    def radioChecked? ; end
  end
end

